%define name	gprename
%define version	2.6.3
%define release	%mkrel 1

Summary:	A complete GTK+ GUI batch renamer for files and directories
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
URL:		http://gprename.sourceforge.net
Source:		%{name}-%{version}.tar.bz2
Group:		File tools
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gettext-devel
BuildRequires:	ImageMagick
Requires:	perl-Glib
Requires:	perl-Gtk2
Requires:	perl-Locale-gettext
Requires:	perl-libintl-perl
BuildArch:	noarch

%description
GPRename is a complete batch renamer for files and directories.

Optional: If you're running Gnome and you're using Nautilus and you want the
contextual menu with the right-click button to show GPRename, then install
nautilus-actions, go into System/Preferences/Nautilus Actions Configuration,
click the Import/Export button and copy this line in the first field:
/usr/share/gprename/gprename.schemas 
the icon for context-menu is here:
/usr/share/gprename/gprename_nautilus-action.png

%prep
%setup -q
# fix makefile or app will crash > looking for the icon in /usr/local/....
sed -i 's|/usr/local|/usr|g' Makefile
# fix desktop file
sed -i 's|@INSTALLDIR@/share/pixmaps/gprename/gprename.png|%{name}|' bin/%{name}.desktop

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
%makeinstall DESTDIR=$RPM_BUILD_ROOT/usr

# move nact files where they should be
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mv $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.schemas $RPM_BUILD_ROOT%{_datadir}/%{name}
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}/gprename_nautilus-action.png $RPM_BUILD_ROOT%{_datadir}/%{name}
# remove debian icon
rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}/*.xpm

# desktop thingie
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install 	--vendor="" \
			--add-category="X-MandrivaLinux-System-FileTools" \
			--dir $RPM_BUILD_ROOT%{_datadir}/applications \
				$RPM_BUILD_ROOT%{_datadir}/applications/*
# icons
mkdir -p $RPM_BUILD_ROOT{%_liconsdir,%_iconsdir,%_miconsdir}
convert -geometry 48x48 icon/%{name}.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 icon/%{name}.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 icon/%{name}.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Sat Jan 03 2009 don_crissti <don_crissti@gmx.com> 2.6.3-1pclos2007
- new version

* Mon Dec 08 2008 don_crissti <don_crissti@gmx.com> 2.6.2-2pclos2007
- rebuild (fix group)

* Sun Aug 17 2008 don_crissti <don_crissti@gmx.com> 2.6.2-1pclos2007
- initial build for PCLinuxOS

